package com.persagy.dmp.admin.controller;

import com.persagy.common.web.MapResponse;
import com.persagy.dmp.admin.service.DmpTransObjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @author: yaoll
 * @date: 2020-12-30
 * @verison: 1.0
 */
@RestController
@RequestMapping("/admin/dmp/rwd/trans")
public class DmpTransController {

	@Autowired
	private DmpTransObjectService transObjectService;

	@PostMapping("/object")
	public MapResponse transObject(@RequestBody Map<String, Object> param) {
		return transObjectService.trans(param);
	}

}
